deepin-kwin (4:5.27.2.207-deepin207-1) unstable; urgency=medium

  [zhangyu]
  * fix: 10286\10204\10323\9992

 -- zhangyu <zhangyud@uniontech.com>  Tue, 13 Aug 2024 10:32:18 +0800

deepin-kwin (4:5.27.2.206-deepin206-1) unstable; urgency=medium

  [zhangyu]
  * fix: 10286\10186\10206\10122

 -- zhangyu <zhangyud@uniontech.com>  Fri, 09 Aug 2024 12:04:18 +0800

deepin-kwin (4:5.27.2.205-deepin205-1) unstable; urgency=medium

  [zhangyu]
  * fix: 10078 9733 9731 9765 10016

 -- zhangyu <zhangyud@uniontech.com>  Tue, 06 Aug 2024 15:58:18 +0800

deepin-kwin (4:5.27.2.204-deepin204-1) unstable; urgency=medium

  [zhangyu]
  * fix: repair about dock don't display when show unmanaged win
  * fix: optimized maxi effect pointer

 -- zhangyu <zhangyud@uniontech.com>  Tue, 30 Jul 2024 17:48:18 +0800

deepin-kwin (4:5.27.2.203-deepin202-1) unstable; urgency=medium

  [dingzhixuan]
  * fix: not show tabbox

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 17 Jul 2024 10:11:18 +0800

deepin-kwin (4:5.27.2.202-deepin202-1) unreleased; urgency=medium

  [dingzhixuan]
  * fix: remove dock extend border
  * fix: crash when maximize by using shortcut
  * fix: dde-lock won't show when preview windows
  * fix: repair about window can't minimized
  * fix: kwin_wayland添加no-vt-switch参数
  * fix: optimized window param
  * fix: sliding workspace but overlapped other screens
  * fix: fix launcher effect
  * fix: watermark display when alttab switching to desktop
  * feat: splitpreview and splitswap effect background blur mask
  * feat: multitaskview background blur optimization
  * fix: window movement effect when removing workspace
  * fix: fix dde-lock effect

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 15 May 2024 15:11:18 +0800

deepin-kwin (4:5.27.2.202-deepin202-1) unstable; urgency=medium

  [dingzhixuan]
  * fix: remove dock extend border
  * fix: crash when maximize by using shortcut
  * fix: dde-lock won't show when preview windows
  * fix: repair about window can't minimized
  * fix: kwin_wayland添加no-vt-switch参数
  * fix: optimized window param
  * fix: sliding workspace but overlapped other screens
  * fix: fix launcher effect
  * fix: watermark display when alttab switching to desktop
  * feat: splitpreview and splitswap effect background blur mask
  * feat: multitaskview background blur optimization
  * fix: window movement effect when removing workspace
  * fix: fix dde-lock effect

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 15 May 2024 15:11:18 +0800

deepin-kwin (4:5.27.2.201-deepin201-1) unstable; urgency=medium

  [dingzhixuan]
  * fix: Prevent multiple hiding cursor.

 -- dingzhixuan <dingzhixuan@uniontech.com>  Fri, 10 May 2024 15:46:37 +0800

deepin-kwin (4:5.27.2.200-deepin200-1) unstable; urgency=medium

  [dingzhixuan]
  * feat: add kvm interface
  * fix: showing desktop don't work
  * fix: adjust the rule of wayland window shadow

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 09 May 2024 17:41:02 +0800

deepin-kwin (4:5.27.2.99-deepin99-1) unstable; urgency=medium

  [ zhangyu ]
  * fix\feat .

 -- zhangyu <zhangyud@uniontech.com>  Fri, 19 Apr 2024 17:36:47 +0800

deepin-kwin (4:5.27.2.98-deepin98-1) unstable; urgency=medium

  [ gengzhijie ]
  * fix: update dmi decode's command about identify pgx's machine.

 -- gengzhijie <gengzhijie@uniontech.com>  Wed, 17 Apr 2024 18:10:47 +0800

deepin-kwin (4:5.27.2.97-deepin97-1) unstable; urgency=medium

  * Task:
    + 338835 fix: window corner

 -- yangtian <yangtian@uniontech.com>  Wed, 17 Apr 2024 11:26:46 +0800

deepin-kwin (4:5.27.2.96-deepin96-1) unstable; urgency=medium

  [ dingzhixuan ]
    * fix: refix popup window will show another screen
    * fix: add null pointer judgment
    * fix: pointer penetrates the menu of wechat

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 16 Apr 2024 18:34:22 +0800

deepin-kwin (4:5.27.2.95-deepin95-1) unstable; urgency=medium

  * Bug fix:
    + fix: menu of wechat can't show by right click on dock
    + fix: window show black border on second screen
    + fix: popup window will show another screen
    + fix: maxi effect
    + fix: add null pointer judgment
    + fix: fix rendering anomalies

 -- huangzeming <huangzeming@uniontech.com>  Mon, 15 Apr 2024 19:08:02 +0800

deepin-kwin (4:5.27.2.94-deepin94-1) unstable; urgency=medium

  * Task:
    + 338295 feat: round corner radius optimization
  * Bug fix:
    + 244887 fix: optimized blur area when system enable zoom
    + 250139 fix: unable to render hover frame
    + 250373 fix: 2 desktops are added when press the shortcut only once
    + 236971 fix: screen flashes black after user logs in

 -- huangzeming <huangzeming@uniontech.com>  Fri, 12 Apr 2024 16:52:33 +0800

deepin-kwin (4:5.27.2.93-deepin93-1) unstable; urgency=medium

  * Bug fix:
    + 250257 fix: find the client error where the event is located

 -- huangzeming <huangzeming@uniontech.com>  Wed, 10 Apr 2024 10:45:56 +0800

deepin-kwin (4:5.27.2.92-deepin92-1) unstable; urgency=medium

  * Bug fix:
    + 235271 fix: add xdg-shell-unstable-v6
    + 250375 fix: click event wasn't sent to notification tips in multitaskview
    + 244213 fix: prohibit screen picture display incompleted.

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 09 Apr 2024 18:26:44 +0800

deepin-kwin (4:5.27.2.91-deepin91-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: support scaling modes.
  * Revert "feat: add env to control hpRefresh and cvt mode"
  * fix: optimized unmanaged win effects
  * fix: pointer penetrates in multitaskview
  * fix: update window radius\shadow when switch compositor
  * fix: wl_pointer.wrap send error

 -- zhangyu <zhangyud@uniontech.com>  Mon, 08 Apr 2024 20:31:33 +0800

deepin-kwin (4:5.27.2.90-deepin90-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: desktop and dde-lock didn't spread over the screen
  * fix: optimized showing desktop in no compositing
  * fix: fix some crash point in pgx.
  * fix: make background in multitaskview darker
  * fix: wine app render problem
  * fix: update icons in split menu
  * feat: optimized timer in showing desktop
  * fix: optimized font family in menu

 -- huangzeming <huangzeming@uniontech.com>  Tue, 02 Apr 2024 17:39:33 +0800

deepin-kwin (4:5.27.2.89-deepin89-1) unstable; urgency=medium

  [ dingzhixuan ]
  * fix: tencent meeting cannot passthrough

 -- dingzhixuan <dingzhixuan@uniontech.com>  Mon, 01 Apr 2024 10:55:10 +0800

deepin-kwin (4:5.27.2.88-deepin88-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: the X window crashes during dragging and dragging again causes kwin coredump
  * fix: drag the icon in the taskbar plug-in area to the X11 window without disappearing
  * fix: rewrite splitmenu
  * fix: refix add workarea in dde-shell
  * fix: tencent meeting cannot passthrough
  * fix: cannot long screenshot on xwayland window
  * fix: cursor black margin on uos-update window
  * fix: dde-control-center is not full display when maximize immediately after start

 -- wangboyu <wangboyu@uniontech.com>  Fri, 29 Mar 2024 19:09:02 +0800

deepin-kwin (4:5.27.2.87-deepin87-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: disable common output modes by default.

 -- wangboyu <wangboyu@uniontech.com>  Thu, 28 Mar 2024 14:47:02 +0800

deepin-kwin (4:5.27.2.86-deepin86-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: fix some crash point and add fd with O_CLOEXEC.
  * Revert "fix: reset disabled outputs to off when kwin is reactivating."

 -- wangboyu <wangboyu@uniontech.com>  Tue, 26 Mar 2024 17:20:02 +0800

deepin-kwin (4:5.27.2.85-deepin85-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: dde-control-center error when screen is repeatly plugged/unplugged
  * fix: screen flash when activating multitaskview
  * fix: window disappeared after changing screen position
  * feat: optimize clipboard、uos-ai and osd(notification center) effects
  * feat: showing desktop effects
  * fix: add judgment for output
  * fix: add logical filter code about wayland's app drag to x11's app.

 -- wangboyu <wangboyu@uniontech.com>  Fri, 22 Mar 2024 18:31:02 +0800


deepin-kwin (4:5.27.2.84-deepin84-1) unstable; urgency=medium

  [ gengzhijie ]
  * feat: implement dynamic adjustment of titlebar hegiht
  * fix: reset disabled outputs to off when kwin is reactivating.
  * fix: display complete split window from maximized state
  * fix: do not raise 'keepAbove' window while dragging
  * feat: support alpha channel in border color
  * feat: change title bar icon

 -- gengzhijie <gengzhijie@uniontech.com>  Tue, 19 Mar 2024 14:34:02 +0800

deepin-kwin (4:5.27.2.83-deepin83-1) unstable; urgency=medium

  [ liuzheng ]
  * add xwl cotrl

 -- liuzheng <liuzheng@uniontech.com>  Mon, 18 Mar 2024 11:51:38 +0800

deepin-kwin (4:5.27.2.82-deepin82-1) unstable; urgency=medium

  [ dingzhixuan ]
  * fix: add effectsEnabledChanged signal
  * fix: fix swap split window out of position
  * fix: optimized button hover area in multitaskview
  * fix: color temperature doesn't take effect after reboot
  * fix: remove Reading output's configuration from KScreen config.

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 14 Mar 2024 19:12:09 +0800

deepin-kwin (4:5.27.2.81-deepin81-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: fix wayland can't login
  * feat: add env to control hpRefresh and cvt mode

 -- zhangyu <zhangyud@uniontech.com>  Tues, 12 Mar 2024 14:00:00 +0800

deepin-kwin (4:5.27.2.80-deepin80-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: optimize shadow, theme, alt+tab, multitaskview,effects
  * feat: the height of title bar

 -- zhangyu <zhangyud@uniontech.com>  Mon, 11 Mar 2024 17:40:00 +0800

deepin-kwin (4:5.27.2.79-deepin79-1) unstable; urgency=medium

  [ dingzhixuan ]
  * fix: long touch cannot show menu on titlebar
  * fix: slowly respond in specificWindowStateRequest

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 06 Mar 2024 14:21:00 +0800

deepin-kwin (4:5.27.2.78-deepin78-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: alt tab blur
  * fix: Fixed the issue that the rounded corners of the 3-square window were updated in real time
  * fix: optimized the swap window function
  * fix: dde-wloutput will show twich mode
  * fix: add sign for coredump

 -- zhangyu <zhangyud@uniontech.com>  Tues, 05 Mar 2024 17:18:37 +0800

deepin-kwin (4:5.27.2.77-deepin77-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: border color of dialog window in 2d
  * fix: get radius from dtk gsettings, add lisence
  * fix: Modifying PrimarySelection Invalidation Issues
  * fix: using memory's copy instead of glReadPixels.

 -- huangzeming <huangzeming@uniontech.com>  Fri, 01 Mar 2024 18:18:37 +0800

deepin-kwin (4:5.27.2.76-deepin76-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: border color of windows in 2d
  * fix: wps checkbox cannot click for passthrough

 -- huangzeming <huangzeming@uniontech.com>  Fri, 01 Mar 2024 11:22:05 +0800

deepin-kwin (4:5.27.2.75-deepin75-1) unstable; urgency=medium

  [ gengzhijie ]
  * feat: add fault tolerance for remote buffer.
  * fix: fixed the issue that the laucher couldn't be fullscreen
  * fix: add bo and ug language
  * fix: rendering problem of wine app in cloud desktop

 -- gengzhijie <gengzhijie@uniontech.com>  Fri, 01 Mar 2024 10:22:39 +0800

deepin-kwin (4:5.27.2.74-deepin74-1) unstable; urgency=medium

  [ gengzhijie ]
  * fix: there are a lot of xcb error BadAtom
  * feat: improve glmark2 score
  * fix: When the useractionmenu appears, filter out the operation of maximizing and minimizing the window.
  * fix: Revert "fix: When the useractionmenu appears, filter out the operation of maximizing and minimizing the window."

 -- gengzhijie <gengzhijie@uniontech.com>  Tue, 27 Feb 2024 15:49:02 +0800

deepin-kwin (4:5.27.2.73-deepin73-1) unstable; urgency=medium

  [ dingzhixuan ]
  * fix: KuGou Music cause xwayland crash
  * fix: reconstruct window shadow
  * fix: When the useractionmenu appears, filter out the operation of maximizing and minimizing the window.
  * feat: add dde shell closeable request
  * fix: there is no event tracking data in wayland
  * fix:  Revert "Xwayland:Update pointer state before ending the drag"
  * fix: window can be resized out of screen
  * fix: maximiz the init need reset positonset

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 27 Feb 2024 00:06:06 +0800

deepin-kwin (4:5.27.2.72-deepin72-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: bug fix

 -- zhangyu <zhangyud@uniontech.com>  Sun, 25 Feb 2024 20:13:57 +0800

deepin-kwin (4:5.27.2.71-deepin71-1) unstable; urgency=medium

  [ zhangyu ]
  * feat: add event tracking
  * fix: bug fix

 -- zhangyu <zhangyud@uniontech.com>  Thu, 22 Feb 2024 20:59:57 +0800

deepin-kwin (4:5.27.2.70-deepin70-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: cancel osd effect
  * fix: kwin crashes on logout
  * fix: cancel noise strength in blur
  * fix: send the buffer of output in remoteaccess when the output is longly not presented.
  * fix: dock panel shadow in wayland
  * fix: only destroy the resource when remoteaccessManager is released.

 -- huangzeming <huangzeming@uniontech.com>  Tue, 20 Feb 2024 10:59:57 +0800

deepin-kwin (4:5.27.2.69-deepin69-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: raise window after button released
  * fix: display the outline of window when show desktop
  * fix: modify window radius scale

 -- wangboyu <wangboyu@uniontech.com>  Sun 03 Feb 2024 23:21:01 +0800

deepin-kwin (4:5.27.2.68-deepin68-1) unstable; urgency=medium

  [ dingzhixuan ]
  * fix: unable to open x11 application on wayland

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 01 Feb 2024 19:44:01 +0800

deepin-kwin (4:5.27.2.67-deepin67-1) unstable; urgency=medium

  [ huangzeming ]
  * feat: remove the log of kwin writing to syslog for now.
  * fix: blur region, scissor and shadow
  * fix: check the minimize and maximize attribute when window create
  * fix: shape window shadow
  * fix: solve switch 2d to 3d black screen problem
  * fix: dock will flash after switching theme color
  * feat: optimize the clipboard seat process
  * feat: Fix screen position changed after external screen re-plugin
  * Revert "fix: remove some code about KWinKScreenIntegration and setting default display mode."
  * fix: Avoid double remove in QHash sentBuffers

 -- huangzeming <huangzeming@uniontech.com>  Wed, 31 Jan 2024 17:08:48 +0800

deepin-kwin (4:5.27.2.66-deepin66-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: shadow and scissor refresh
  *  fix: optimize split menu positon scale
  *  fix: repair window's radius scale
 -- wangboyu <wangboyu@uniontech.com>  Mon, 29 Jan 2024 09:56:01 +0800

deepin-kwin (4:5.27.2.65-deepin65-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: the conflict between animation and dde effect
  *  fix: glsl version of scissor shader
  *  feat: protocol: add wl_pointer.warp event
  *  fix: reconstruct window radius
 -- wangboyu <wangboyu@uniontech.com>  Sun, 28 Jan 2024 12:51:01 +0800

deepin-kwin (4:5.27.2.64-deepin64-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: when the output Changed once, only send done once.
  *  fix: kwin didn't record opacity if opacity was 1
  *  fix: when the output Changed once, only send done once.
 -- wangboyu <wangboyu@uniontech.com>  Sun, 21 Jan 2024 13:57:01 +0800

deepin-kwin (4:5.27.2.63-deepin63-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: tooltip shadow
  *  fix: performance optimization.
  *  fix: Fix screen flash black due to damage error
  *  fix: shadow radius of normal window by yangtian
  *  fix: the variable of isAccepted using isEmpty insteadof isNull.

 -- wangboyu <wangboyu@uniontech.com>  Tue, 16 Jan 2024 20:08:01 +0800

deepin-kwin (4:5.27.2.62-deepin62-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: rendering problem of wine app in cloud desktop xrender mode
  *  fix: opacity blend of titlebar menu
  *  fix: show icon in xrender env

 -- wangboyu <wangboyu@uniontech.com>  Sat, 14 Jan 2024 00:59:01 +0800

deepin-kwin (4:5.27.2.61-deepin61-1) unstable; urgency=medium

  [ wangboyu ]
  *  feat: Add alternative for EGL_LINUX_DMA_BUF_EXT

 -- wangboyu <wangboyu@uniontech.com>  Thu, 11 Jan 2024 20:17:01 +0800

deepin-kwin (4:5.27.2.60-deepin60-1) unstable; urgency=medium

  [ gengzhijie ]
  * fix: zx install error
  * fix: animation of shutdown menu
  * fix: shadow of right click menu
  * fix: gtk window shows black border
  * fix: the maximized window of the secondary screen does not cover the entire screen
  * fix: window position in multitaskview on secondary screen was incorrect on wayland
  * fix: after adjusting the screen transform in xrender mode, only half of screen is displayed
  * fix: the window is not adapted to display after adjusting the position of the taskbar in the lower part of the screen
  * fix: show left triggered when window changes size

 -- gengzhijie <gengzhijie@uniontech.com>  Thu, 11 Jan 2024 18:17:01 +0800

deepin-kwin (4:5.27.2.59-deepin59-1) unstable; urgency=medium

  [ yangtian ]
  * fix: window filled background didn't align with window after relayout
  * fix: transparency of scissor effect
  * fix: dialog animation
  * fix: enable prohibit screenshot in sunloginClient
  * fix: shadow at the top of window
  * fix: modify window default radius
  * fix: delete notification due to graphics reset
  * fix: moveResize window without button press

 -- yangtian <yangtian@uniontech.com>  Tue, 09 Jan 2024 16:39:20 +0800

deepin-kwin (4:5.27.2.58-deepin58-1) unstable; urgency=medium

  [ huangzeming ]
  * feat: dynamic response to DConfig effect type
  * fix: add dbus interface to set repeat and delay of keyboard.
  * fix: kwin has invalid shortcuts
  * fix: after turning off the window special effects switch and then turning it on again, the taskbar transparency adjustment value becomes 1
  * fix: Fix the issue of failed simulation of mouse scrolling events
  * fix: capslock led donnot reset when reboot
  * fix: the Always Visible Workspace button in the right-click menu cannot be clicked when the window is split
  * feat: animation effect
  * fix: buttons in multitaskview didn't show using touchscreen
  * fix: blur effect was broken on VGA screen
  * fix: split preview can show right angle
  * fix: in XRender, alt+tab can't preview minimized window

 -- huangzeming <huangzeming@uniontech.com>  Fri, 05 Jan 2024 18:59:19 +0800

deepin-kwin (4:5.27.2.57-deepin57-1) unstable; urgency=medium

  [ Chaojiang Luo ]
  * feat: disable partial update for pgux
  * feat: fix gbm_bo_get_stride_for_plane get stride failed
  * feat: add dynamic load for gbm modify
  * fix: the window is minimized after ending the preview in the dock

 -- jccKevin <luochaojiang@uniontech.com>  Thu, 04 Jan 2024 16:09:43 +0800

deepin-kwin (4:5.27.2.56-deepin56-1) unstable; urgency=medium

  [ huangzeming ]
  * feat: add effect type configuration
  * fix: pop-up animation appears when the window is minimized and closed through the dock
  * fix: window switcher background is transparent in xrender mode

 -- huangzeming <huangzeming@uniontech.com>  Wed, 03 Jan 2024 17:44:39 +0800

deepin-kwin (4:5.27.2.55-deepin55-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: remove output primary and order for xwayland

 -- wangboyu <wangboyu@uniontech.com>  Web, 03 Jan 2024 11:46:07 +0800

deepin-kwin (4:5.27.2.54-deepin54-1) unstable; urgency=medium

  [ gengzhijie ]
  * fix: VGA screen become black in XRender compositor
  * fix: after showing desktop, type alt+tab and click      in empty area, windows don't restore
  * fix: unable to use TabletTool device to move dtk client
  * fix: add dbus interface to know if x11 client grabbed keyboard.
  * fix: update shadow when radius change in wayland
  * fix: wheel events in multitaskview
  * fix: screenshot on wayland was not clear
  * fix: closing browser stuck in multitaskview
  * fix: repair the preview problem in dock
  * fix: perfect the touch event in split preview
  * fix: quit split from maxi in wayland
  * fix: when the text management search input box is activated, the text prompt after hovering the mouse to the Sogou input method icon cancels the search input box state
  * feat: journal and debug config adaptation
  * fix: set fullpath for dmidecode.
  * fix: remove some log about remoteaccess.
  * fix: window to desktop will change active client.
  * fix: remove some code about KWinKScreenIntegration and setting default display mode.

 -- gengzhijie <gengzhijie@uniontech.com>  Fri, 29 Dec 2023 15:30:34 +0800

deepin-kwin (4:5.27.2.53-deepin53-1) unstable; urgency=medium

  [ wangboyu ]
  * Revert "fix: Fix screen flash for damage error"

 -- wangboyu <wangboyu@uniontech.com>  Mon, 26 Dec 2023 17:54:07 +0800

deepin-kwin (4:5.27.2.52-deepin52-1) unstable; urgency=medium

  [ gengzhijie ]
  * fix: right click third-part titlebar can't show menu
  * fix: add dbus interface of disableGlobalShortcutsForClient according to kwin of 106x.
  * fix: Fix screen flash for damage error

 -- gengzhijie <gengzhijie@uniontech.com>  Fri, 22 Dec 2023 13:09:07 +0800

deepin-kwin (4:5.27.2.51-deepin51-1) unstable; urgency=medium

  [ huangzeming ]
  * feat: add support for switching compositing backend
  * feat: add XRender backend support.
  *  fix: keypad shortcut donnot take effect
  *  fix: update from 1040 to 1060, workspace's number change from three to two
  *  fix: x11 grab window cannot recieve pointer press
  *  fix: repair the window can't show when close from dock preview
  *  fix: x11 alt+space popup window can't disapear

 -- huangzeming <huangzeming@uniontech.com>  Thu, 21 Dec 2023 19:12:26 +0800

deepin-kwin (4:5.27.2.50-deepin50-1) unstable; urgency=medium

  [ Chaojiang Luo ]
  *  feat: Add compatibility for v2
  *  feat: fix static check error

 -- jccKevin <luochaojiang@uniontech.com>  Tue, 19 Dec 2023 20:06:31 +0800

deepin-kwin (4:5.27.2.49-deepin49-1) unstable; urgency=medium

  [ huangzeming ]
  * Task
    feat: replaced interface GetAllWindowStates with GetAllWindowStatesList
    feat: ignore output added and removed signal
  * Bug fix
    feat: replaced interface GetAllWindowStates with GetAllWindowStatesList
    fix: the right-click menu should not be displayed after using the alt+space shortcut key in the launcher window
    fix: the right-click menu position of all areas of the taskbar is displayed incorrectly
    fix: the pop-up window of the self-developed Qt application cannot be moved
    fix: fix the radius of unmanage window
    fix: Resolve inability to obtain screen size
    fix: launcher window can be dragged
    Revert "fix: launcher window can be dragged"

 -- huangzeming <huangzeming@uniontech.com>  Tue, 19 Dec 2023 16:35:12 +0800

deepin-kwin (4:5.27.2.48-deepin48-1) unstable; urgency=medium

  * [ wangboyu ]
    fix: add function setTouchDeviceToScreenId and getTouchDeviceToScreenInfo.
    fix: greeter will be killed when the shortcut of alt+f4 is pressed.
    fix: thirdpart titlebar icon don't change with system zoom
    fix: remove selectionchanged/selectioncleared of primary selection.
    fix: prohibit screen active when client change desktop

 -- wangboyu <wangboyu@uniontech.com>  Fri, 15 Dec 2023 17:48:05 +0800

deepin-kwin (4:5.27.2.47-deepin47-1) unstable; urgency=medium

  * [ wangboyu ]
    fix: updateAvailableInputDevices when device is not fakeinput.

 -- wangboyu <wangboyu@uniontech.com>  Mon, 11 Dec 2023 21:09:05 +0800

deepin-kwin (4:5.27.2.46-deepin46-1) unstable; urgency=medium

  * [ Chaojiang Luo ]
    fix: Fixed the issue that the mouse was red during the KLV boot process
    feat: round up to an integer for vrefresh
    fix: launcher window can be dragged
    fix: the right-click menu actually responds to the inactive window
    fix: there is no selected state in the menu bar

 -- jccKevin <luochaojiang@uniontech.com>  Sat, 09 Dec 2023 16:58:05 +0800

deepin-kwin (4:5.27.2.45-deepin45-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    feat: Remove CVT mode on Hisi devices
    fix: collapse caused by surfaceitem setScissorAlpha
    fix: Fix screen stuck while display mode changed
    Revert "fix: Fix focus error in lock screen"
    fix: wrong font and color for window menu options

 -- wangboyu <wangboyu@uniontech.com>  Thu, 07 Dec 2023 18:29:40 +0800

deepin-kwin (4:5.27.2.44-deepin44-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    fix: Filter the simulated touch devices and do not add them to the Xwayland event sending
    fix: tabbox crash in app_opentab pressure testing script.
    fix: when playing a video, the video cannot continue to play after minimizing the window and then restoring it

 -- wangboyu <wangboyu@uniontech.com>  Fri, 03 Dec 2023 18:00:40 +0800

deepin-kwin (4:5.27.2.43-deepin43-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    fix: remove meta+a\meta+w functions

 -- wangboyu <wangboyu@uniontech.com>  Fri, 01 Dec 2023 16:19:40 +0800


deepin-kwin (4:5.27.2.42-deepin42-1) unstable; urgency=medium

  [ huangzeming ]
  * Bug fix
    fix: finish swap timeline when split window exited
    fix: relayout window preview in wayland
    fix: delay display of preview window.
    fix: Fix the issue of KLV eye protection mode failure
    fix: repair the ineffective about effects switch
    fix: solve the window transparent when preview from dock
    fix: add dbus interface to get led status of keyboard.
    fix: prohibit window uneffect when minimize
    fix: desktop was black after upgrading from 1062 to 1070
    fix: animations in multitaskview weren't controlled by window_animation field
    fix: change kde default useraction menu to dde style.
    fix: replace from QApplication::exit to _exit in signhandler of kill.

 -- huangzeming <huangzeming@uniontech.com>  Fri, 01 Dec 2023 15:07:59 +0800

deepin-kwin (4:5.27.2.41-deepin41-1) unstable; urgency=medium

  [ huangzeming ]
  * Bug fix
    fix: alpha blend in scissorWindow
    fix: set tabbox go back to the first window
    fix: remove the limit what xwaylandInterfaces only allow in x11 application

 -- huangzeming <huangzeming@uniontech.com>  Thu, 30 Nov 2023 11:13:04 +0800

deepin-kwin (4:5.27.2.40-deepin40-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    fix: switching workspace caused crash in duplicate mode in multitaskview

 -- wangboyu <wangboyu@uniontech.com>  Tue, 28 Nov 2023 18:34:40 +0800

deepin-kwin (4:5.27.2.39-deepin39-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    plugins/blur: Rewrite it

 -- wangboyu <wangboyu@uniontech.com>  Fri, 24 Nov 2023 18:57:40 +0800

deepin-kwin (4:5.27.2.38-deepin38-1) unstable; urgency=medium

  [ wangboyu ]
  * Bug fix
    fix: drag the icon in the Dock application area to display the titlebar window
    fix: touch events weren't processed in multitaskview
    fix: tips for desktops without window in multitaskview
    fix: c++ interface param about js call
    fix: Fix the black screen issue with gles screencast
    fix: screencasting: on memfd, skip the QImage step
    fix: fix wild pointer in remote acces

 -- wangboyu <wangboyu@uniontech.com>  Fri, 24 Nov 2023 14:47:40 +0800


deepin-kwin (4:5.27.2.37-deepin37-1) unstable; urgency=medium

  [ zhangyu ]
  * Bug fix

 -- zhangyu <zhangyud@uniontech.com>  Fri, 17 Nov 2023 18:02:40 +0800

deepin-kwin (4:5.27.2.36-deepin36-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: clipboard-ace worked uncorrectly on wayland
  * fix: clipboard is empty after copying content from wayland web page

 -- huangzeming <huangzeming@uniontech.com>  Tue, 14 Nov 2023 19:33:40 +0800

deepin-kwin (4:5.27.2.35-deepin35-1) unstable; urgency=medium

  [ wangboyu ]
  * fix: Fix nullptr error of m_shm_rp_buffer

 -- wangboyu <wangboyu@uniontech.com>  Mon, 13 Nov 2023 23:06:26 +0800

deepin-kwin (4:5.27.2.34-deepin34-1) unstable; urgency=medium

  [ Chaojiang Luo ]
  * fix: Do not restart wayland compositing when config change

 -- jccKevin <luochaojiang@uniontech.com>  Mon, 13 Nov 2023 16:52:26 +0800

deepin-kwin (4:5.27.2.33-deepin33-1) unstable; urgency=medium

  [ zhangyu ]
  * Bug fix

 -- zhangyu <zhangyud@uniontech.com>  Mon, 13 Nov 2023 10:52:20 +0800

deepin-kwin (4:5.27.2.32-deepin32-1) unstable; urgency=medium

  [ zhangyu ]
  * Bug fix

 -- zhangyu <zhangyud@uniontech.com>  Wed, 08 Nov 2023 16:18:20 +0800

deepin-kwin (4:5.27.2.31-deepin31-1) unstable; urgency=medium

  [ huangzeming ]
  * 225959 fix: close window effects, cold start time is degraded compared to historical baseline

 -- huangzeming <huangzeming@uniontech.com>  Fri, 03 Nov 2023 18:05:20 +0800

deepin-kwin (4:5.27.2.30-deepin30-1) unstable; urgency=medium

  [ huangzeming ]
  * 223809 fix: maximized window didn't overspread while dock in smart-hide mode
  * 218423 fix: add lightweight configuration
  * 224691 fix: solve the split window don't minimize
  * 225439 fix: modifier keys make x11-window type anything in wayland.
  * 218403 fix: touchpad can't exit multitaskview in wayland.
  * 221051 fix: reset screen dpms off at unplug
  * 218659 fix: fix the issue where the mouse wheel cannot be used

 -- huangzeming <huangzeming@uniontech.com>  Fri, 03 Nov 2023 17:16:08 +0800

deepin-kwin (4:5.27.2.29-deepin29-1) unstable; urgency=medium

  [ zhangyu ]
  *  fix: optimize about radius acquisition

 -- zhangyu <zhangyud@uniontech.com>  Mon, 30 Oct 2023 16:10:13 +0800

deepin-kwin (4:5.27.2.28-deepin28-1) unstable; urgency=medium

  [ zhangyu ]
  *  fix: 218929\220107\223061\223949
  *  task: 288601\288599

 -- zhangyu <zhangyud@uniontech.com>  Sun, 29 Oct 2023 16:25:13 +0800

deepin-kwin (4:5.27.2.27-deepin27-1) unstable; urgency=medium

  [ wangboyu ]
  *  fix: when touch to move client,kwin must need client send events.

 -- wangboyu <wangboyu@uniontech.com>  Mon, 23 Oct 2023 9:30:13 +0800

deepin-kwin (4:5.27.2.26-deepin26-1) unstable; urgency=medium

  [ wangboyu ]
  * feat: add dbus interface setEnableTouchLongPress and isEnableTouchLongPress.
  * fix: touch screen can't show user action menu.
  * fix: Update value of LONGTOUCHPRESSIGNOREMOTION is 5,same as x11.
  * fix: show cursor when event is actually from libinput device.
  * fix: add long touch press show right menu.
  * fix: Fix focus error in lock screen
  * feat: Add interface to disable multi-screens
  * fix: add window fool-proofing
  * fix: windows were still painted while showing desktop in multitaskview
  * fix: disable launcher shortcut in effects
  * fix: add window minimum judgment in wayland
  * fix: dtk split menu protocol
  * feat: alt+tab需求开发
  * fix: the bug about alt + ~ show non same window
  * fix: 按下caps键后，再按Alt+tab后切换窗口的顺序变为了反向
  * fix: when tabbox in 2D,make all client keep old minimized.
  * fix: when tabbox in 2D,keep first client minisize.
  * fix: alt+tab can't keep minimized window minimized in 2D mode
  * fix: quick switch window and long press the shortcut key
  * feat: activate minimized if not composited
  * fix: after reboot,the magiclamp effect invalid.

 -- wangboyu <wangboyu@uniontech.com>  Fri, 20 Oct 2023 21:13:13 +0800

deepin-kwin (4:5.27.2.25-deepin25-1) unstable; urgency=medium

  [ huangzeming ]
  * 219051 fix: Add HuWei partial update support

 -- huangzeming <huangzeming@uniontech.com>  Tue, 17 Oct 2023 12:16:13 +0800

deepin-kwin (4:5.27.2.24-deepin24-1) unstable; urgency=medium

  [ zhangyu ]
  * 220059 fix: active the maximize window frome split menu

 -- zhangyu <zhangyud@uniontech.com>  Fri, 13 Oct 2023 18:15:17 +0800

deepin-kwin (4:5.27.2.23-deepin23-1) unstable; urgency=medium

  [ huangzeming ]
  * 219585 fix: repair the split trigger effect color
  * 219595 fix: split window don't show rounded corners
  * 220059 fix: active the maximize window frome split menu
  * 219551 fix: tooltips were shown uncorrectly in splitmenu
  * 218475/218491 fix: several shortcuts didn't respond in multitaskview
  * 218361 fix: make color of hover frame in multitaskview consistent with active color
  * 218359 fix: add window background hover in multitaskview

 -- huangzeming <huangzeming@uniontech.com>  Fri, 13 Oct 2023 17:36:17 +0800

deepin-kwin (4:5.27.2.22-deepin22-1) unstable; urgency=medium

  [ zhangyu ]
  * revert: fix: usmserver; mulititask; splitwindow;

 -- zhangyu <zhangyud@uniontech.com>  Wed, 11 Oct 2023 18:10:47 +0800

deepin-kwin (4:5.27.2.21-deepin21-1) unstable; urgency=medium

  [ huangzeming ]
  * revert: fix: tooltips were shown uncorrectly in splitmenu

 -- huangzeming <huangzeming@uniontech.com>  Sun, 08 Oct 2023 17:40:47 +0800

deepin-kwin (4:5.27.2.20-deepin20-1) unstable; urgency=medium

  [ zhangyu ]
  * fix: multitask, splitscreen, patch, bug

 -- zhangyu <zhangyud@uniontech.com>  Sun, 8 Otc 2023 16:00:21 +0800

deepin-kwin (4:5.27.2.19-deepin19-1) unstable; urgency=medium

  [ huangzeming ]
  * fix: multitaskview caused crash when switched 2d to 3d

 -- huangzeming <huangzeming@uniontech.com>  Tue, 19 Sep 2023 17:42:21 +0800

deepin-kwin (4:5.27.2.18-deepin18-1) unstable; urgency=medium

  [ jccKevin ]
  * fix: Add remote access data lost
  * fix: when OutputConfiguration applied,reset value of applying
  * fix: cancel the limit of icon surface role for temporary

 -- jccKevin <luochaojiang@uniontech.com>  Tue, 19 Sep 2023 16:15:45 +0800

deepin-kwin (4:5.27.2.17-deepin17-1) unstable; urgency=medium

  [ jccKevin ]
  * Add output device v1 support
  * fix: wayland can't use prohibit screenshot interface
  * fix: solve leave without hide after long press maxi button show splitmenu

 -- jccKevin <luochaojiang@uniontech.com>  Tue, 19 Sep 2023 14:15:06 +0800

deepin-kwin (4:5.27.2.16-deepin16-1) unstable; urgency=medium

  [ jccKevin ]
  * Disable DRM modifiers by default

 -- jccKevin <luochaojiang@uniontech.com>  Fri, 15 Sep 2023 15:25:50 +0800

deepin-kwin (4:5.27.2.15-deepin15) unstable; urgency=medium

  [ huangzeming ]
  * 218337 fix: windows and add button were shown uncorrectly at the resolution of 1024*768 in multitaskview
  * 218371 fix: functions of close and top button are opposite in multitaskview
  * 218995 fix: press and hold maximize button, splitmenu disappears after button released
  * 217627 fix: the problem of roll desktops when super + ->/<-
  * 217611 fix: the problem of Win+D not being able to hide above window
  * 218593 fix: solve the watermark display in multitaskview and splitscreen
  * 218835 fix: optimize screen info and add extended judgment
  * 217277 fix: tabbox can't show UI
  * 218769 fix: change the dock preview effect in protected window

 -- huangzeming <huangzeming@uniontech.com>  Thu, 14 Sep 2023 17:40:23 +0800

deepin-kwin (4:5.27.2.14-deepin14) unstable; urgency=medium

  [ xinbo wang ]
  * Add prohibit screenshot interface
  * Add new multitaskview
  * Add new split menu

 -- xinbo wang <wangxinbo@uniontech.com>  Mon, 11 Sep 2023 16:27:11 +0800

deepin-kwin (4:5.27.2.13-deepin13-1) unstable; urgency=medium

  [ zhangyu ]
  * New upstream release (5.27.2).
  * Temp remove split cursor in wayland

 -- zhangyu <zhangyud@uniontech.com>  Wed, 06 Sep 2023 11:15:26 +0800

deepin-kwin (4:5.27.2.12-deepin12-1) unstable; urgency=medium

  [ jccKevin ]
  * New upstream release (5.27.2).
  * Adaption on Qt5.11 and kf5 5.54
  * Add dde protocols supports
  * Add dde features

 -- jccKevin <luochaojiang@uniontech.com>  Tue, 05 Sep 2023 23:13:26 +0800

deepin-kwin (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:10 +0100

deepin-kwin (4:5.27.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the xwayland build dependency, setting its required version to
    2:22.1.7-1: this version ships a pkg-config file, which is used at build
    time to determine which runtime option to use; this avoids the usage of
    e.g. the deprecated "-listen" option.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically, replacing the dh-python build dependency

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:46 +0100

deepin-kwin (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update the list of installed files from build logs.
  * Update cross-plasma versioned dependencies.
  * Remove obsolete lib (build) dependencies in favour of their
    replacements.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:58 +0100

deepin-kwin (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:19 +0100

deepin-kwin (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:06:54 +0100

deepin-kwin (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:46:53 +0100

deepin-kwin (4:5.26.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2.1).
  * Update build-deps and deps with the info from cmake.
  * Tighten cross-plasma components dependencies.

  [ Helmut Grohne ]
  * Improve cross building: Pass qtwaylandscanner to cmake. (Closes: #1022136)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:35:50 +0200

deepin-kwin (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:23 +0200

deepin-kwin (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:06 +0200

deepin-kwin (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch uninitialized-yuvformat.patch.
  * Bump version of internal libraries libkwineffects and libkwinglutils
    from 13 to 14.
  * Drop obsolete internal library libkwinxrenderutils13.
  * Update the list of installed files from build logs.
  * Upstream merged Wayland backends into the main KWin library.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Sep 2022 23:15:21 +0200

deepin-kwin (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:15 +0200

deepin-kwin (4:5.25.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Aug 2022 20:32:35 +0200

deepin-kwin (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:34:29 +0200

deepin-kwin (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependencies on libkf5kio-dev, kinit-dev,
    libqt5sensors5-dev and qtscript5-dev.
  * Refresh lintian overrides.
  * Add a Recommends on systemsettings used to invoke KCMs.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:13 +0200

deepin-kwin (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:26 +0200

deepin-kwin (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Update the list of installed files from build logs.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:57 +0200

deepin-kwin (4:5.24.90-2) experimental; urgency=medium

  * Tighten build dependency to libkdecorations2-dev (>= 4:5.24.90~).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 31 May 2022 22:25:39 +0200

deepin-kwin (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Retire kwin-wayland-backend-fbdev.
  * Update the list of installed files from build logs.
  * Drop symbols files, useless for non-public library packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:47:01 +0200

deepin-kwin (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:31 +0200

deepin-kwin (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:06:41 +0200

deepin-kwin (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:02:48 +0100

deepin-kwin (4:5.24.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks for libkwin4-effect-builtins1.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Mar 2022 18:50:26 +0100

deepin-kwin (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Remove autopkgtest.
  * Remove binary package libkwin4-effect-builtins1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:55 +0100

deepin-kwin (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:01:12 +0100

deepin-kwin (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:25:21 +0100

deepin-kwin (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:39:33 +0900

deepin-kwin (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

deepin-kwin (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Oct 2021 21:44:41 +0200

deepin-kwin (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Fix patch for new file location.
  * Unfuzzify patch.
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

deepin-kwin (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:05 +0200

deepin-kwin (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 18:52:03 +0200

deepin-kwin (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:06 +0200

deepin-kwin (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

deepin-kwin (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

deepin-kwin (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

deepin-kwin (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream patch.
  * Rename libraries from 12 -> 13.
  * Add kf5runner and lcms to B-D, and bump kdecorations.
  * Update symbols.

  [ Aurélien COUDERC ]
  * Drop package-name-doesnt-match-sonames override for libkwineffects*, not
    needed anymore.
  * Refresh copyright information.
  * Override lintian kwin-common: no-symbols-control-file, we don’t ship header
    files for these libraries.
  * Override lintian libkwin4-effect-builtins1: no-symbols-control-file, we
    don’t ship header files for this library.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

deepin-kwin (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

deepin-kwin (4:5.20.4-4) unstable; urgency=medium

  * Enable pipewire support by adding the respective B-D.

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 09:44:54 +0900

deepin-kwin (4:5.20.4-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

deepin-kwin (4:5.20.4-2) experimental; urgency=medium

  * Rebuild for Qt transition.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 00:38:11 +0900

deepin-kwin (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update and tighten dependencies.
  * Update list of installed files.
  * Update lintian overrides.
  * Update symbols.
  * Remove upstream included d/p/duplicate-property-warning.patch.

  [ Aurélien COUDERC ]
  * Backport upstream patch to fix left-edge dead pixel for click and scroll
    events.

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update lintian overrides.

  [ Scarlett Moore ]
  * Bump kwin-common recommends/suggest plasma depends to current release.
  * Update upstream/metadata.
    - Repositories to invent.kde.org.
    - Added bug database.
    - Updated changelog to point to announcements.
  * Remove LD_FLAGS override, no longer needed, --as-needed is default now.
  * Add hardening options +all.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

deepin-kwin (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

deepin-kwin (4:5.19.5-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix "FTBFS: egl_dmabuf.cpp:97:9: error: EGL_TEXTURE_Y_XUXV_WL
    was not declared in this scope" Apply upstream commit
    2c76cc4784382b3df9b5413860d0793ea26cea31 which addresses the misuse
    of private headers.
    (Closes: #973149)
  * Add salsa-ci config so we can build on salsa.

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:39:13 +0900

deepin-kwin (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:45:27 +0900

deepin-kwin (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Jiří Paleček ]
  * New versions of dependencies for 5.18.5
  * Install new files
  * Use dh-python3
  * Add some patches, fixing compile warnings (affecting code correctness)
  * Rename libkwineffects12 to -12a
  * Remove some symbols from libkwinglutils

 -- Jiri Palecek <jpalecek@web.de>  Mon, 15 Jun 2020 03:01:07 +0200

deepin-kwin (4:5.17.5-4) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Fix "FTBFS: egl_dmabuf.cpp:97:9: error: EGL_TEXTURE_Y_XUXV_WL
    was not declared in this scope"
    Apply upstream commit 2c76cc4784382b3df9b5413860d0793ea26cea31
    as Fix_misuse_of_EGL_eglmesaext_h.patch
    which addresses the misuse of private headers.
    (Closes: #973149)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Oct 2020 23:23:05 -0300

deepin-kwin (4:5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.
  * Add the libxcb-xfixes0-dev dependency to kwin-dev, as the kwin headers use
    xcb/xfixes.h.
  * 'acc' autopkgtest: make it verbose, and copy the logs as artifact if
    requested.
  * Fix typo in kwin-common.maintscript to properly remove the old
    /etc/xdg/kwinswitcher.knsrc conffile.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update lintian overrides.

  [ Jiří Paleček ]
  * Rules-Requires-Root: no

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Add Scarlett Moore to Uploaders.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Update list of installed files.
  * Update symbols files.
  * Unfuzzify patches.
  * Add build-deps for Python.
  * Tighten build-deps for kscreenlocker-dev.
  * Clean up lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 19:04:07 +0200

deepin-kwin (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:53:37 +0100

deepin-kwin (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5):
    - work better with NVIDIA drivers (Closes: #925528)
    - properly restore the current desktop from session (Closes: #930538)
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release:
    - add support for zwp_linux_dmabuf (Closes: #892204)
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - bump breeze-dev, kscreenlocker-dev, and libkdecorations2-dev to 5.17
    - add libxcb-util0-dev
    - explicitly add gettext
    - switch from the transitional libfreetype6-dev to libfreetype-dev
  * Drop the migration from kwin-dbg, no more needed after two Debian stable
    releases.
  * Remove breaks/replaces for versions older than oldstable.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop no more needed patches: Disable-testShadeWobblyWindows.patch,
      Ignore-cursor-weird-behaviour-under-a-containerized-xvfb.patch, and
      disable-MouseMark-and-TrackMouse-effects-loading-test.patch
  * Update install files.
  * Unregister old conffiles.
  * Rename some packages according to new SONAMEs:
    - libkwineffects11 -> libkwineffects12
    - libkwinglutils11 -> libkwinglutils12
    - libkwinxrenderutils11 -> libkwinxrenderutils12
  * Update symbols files.
  * Do not use the ${shlibs:Depends} substvar in kwin-data, as it does not
    exist.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.
  * Tighten inter-libraries dependencies
    - remove almost all the manual dependencies

  [ Helmut Grohne ]
  * Mark kwin-data Multi-Arch: foreign. (Closes: #893438)

 -- Pino Toscano <pino@debian.org>  Mon, 13 Jan 2020 06:45:42 +0100

deepin-kwin (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:57 -0300

deepin-kwin (4:5.14.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Nov 2018 16:25:34 +0100

deepin-kwin (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols files.
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:38 -0300

deepin-kwin (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:35 +0200

deepin-kwin (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * disable MouseMark and TrackMouse effects loading test
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:06 +0200

deepin-kwin (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Force build against the new kdecoration soversion
  * Update symbols files.
  * Ignore cursor weird behaviour under a containerized xvfb
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:07 +0200

deepin-kwin (4:5.12.5-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * New upstream release (5.12.5).
  * testsuite: fix most of the test running environment
  * Add patch: Disable-testShadeWobblyWindows.patch
  * Add missing -dev dependency
  * Run the tests sequentialy
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:01 +0200

deepin-kwin (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Add a misc depends to kde-window-manager
  * Drop kde-window-manager transitional package
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:47 +0200

deepin-kwin (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:08 +0100

deepin-kwin (4:5.12.1-1) sid; urgency=medium

  * Add qml virtualkeyboard as a recommends
  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:54 +0100

deepin-kwin (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add libcap as a build depends
  * Set kwin_wayland capabilities in postinst
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:42 +0100

deepin-kwin (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Use https uri for uscan
  * Drop unused lintian overrides
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:50 +0100

deepin-kwin (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:03 -0300

deepin-kwin (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:31 +0200

deepin-kwin (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3.1).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Sync watch file and signing-key.asc with neon
  * Bump kdecorations build dep to 5.10
  * Update symbols files after soversion bump
  * New upstream release (5.10.4).
  * New upstream release (5.10.5).
  * Drop upstream patches
  * Release to experimental

  [ Jonathan Riddell ]
  * update for new soversion
  * update .install

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:21 +0200

deepin-kwin (4:5.8.7-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with modularized Qt PlatformSupport.
    (Closes: #873078)
  * Backport upstream patch to fix ‘undefined reference to qCompare’ error.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Aug 2017 14:06:50 +0300

deepin-kwin (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
      + move the view at the correct index at startup
        using the same trick as elsewhere, set the currentIndex
        and move the view to currentIndex right at startup
        the only way to be sure is onContentHeightChanged
        as there are no signals for when "the view has been
        populated and settled up"
      + [kcm_kwindecoration] Respect theme colors in buttons
      + Fix crash on dragging titlebar buttons in System Settings
        Currently, if user tries to move one of buttons to the left, ending up
        dragging one button onto another, crash occurs.
        In addition, this patch replaces verbose replacement(remove/insert) with
        more elegant QVector<T>::move(int, int)
        Fixes KDE#374153
      + [platforms/drm] Explicitly request event context version 2
        Libdrm 2.4.78 introduces a version 2 and if KWin gets built against it
        our code would break. Given that this change is for Plasma/5.8 branch.
        (https://phabricator.kde.org/T5839)
      + Fix KWin decoration KCM showing correct index at startup
        The KCM has a context property of the currently set theme index. This is
        set before the decorations model is populated, so it is currently always
        -1.
        This model is populated after the constructor but before
        KCModule::load().
        KCModule::load is called from KCModule::showEvent so before
        QQuickGridView will start doing anything with delegates.
        This fixes the problem simply and also avoid parsing the config file
        multiple times.
        This bug was introduced in 5.9.4:
        Someone made a (tested) change to make sure the view scrolled to the
        right place on startup.
        I then made a (tested) commit fixing the crash on exit
        The author then updated his patch to my changes, but now in a way that
        didn't work.
      + Sort the themes in decoration KCM
        Even though we're using a QSortFilterProxy model, by default it doesn't
        actually sort anything until instructed to.
        This patch turns sorting on.
      + Improve the x11 timestamp handling
        So far KWin only updated the x11 timestamp if the new timestamp is larger
        than the existing one. While this is a useful thing it creates problems
        when the 32 bit msec based time stamp wraps around which happens after
        running an X server for 49 days. After the timestamp wrapped around KWin
        would not update the timestamp any more and thus some calls might fail.
        Most prominent victims are keyboard and pointer grab which fails as the
        timestamp is either larger than the server timestamp or smaller than the
        last grab timestamp.
        Another problem related to timestamp handling is KWin getting broken by
        wrong timestamps sent by applications. A prominent example is clusterssh
        which used to send a timestamp as unix time which is larger than the
        x timestamp and thus our timestamp gets too large.
        This change addresses these problems by allowing to reset the timestamp.
        This is only used from updateXTime (which is normally invoked before we
        do things like grabKeyboard). Thus we make QX11Info::getTimestamp the
        ultimate trusted source for timestamps.
        Fixes KDE#377901 KDE#348569
      + Fix regression for timestamp handling for Xwayland windows
        Change 0bec9ad7337536e319c17c5684d97e1156399fdb introduced a regrssion
        on Wayland. On Wayland getTimestamp always returns 0, thus the X11
        timestamp gets reset again and again. This results in broken interaction
        for Xwayland windows as the broken unit tests show.
        This change addresses the regression by ignoring a value of 0.
        It means the addressed bug is still present on Wayland for X11 windows
        as the timestamp doesn't get updated properly. This requires further
        changes.
      + fix occassional crash caused by needlessly delayed signals (bko#363224)
        As pointed out by the Valgrind trace in #363224, delaying the signal causes
        the EffectWindow* argument to become invalid before the connected slot is
        called (this is because Qt discards only delayed signal->slot calls where
        the receiver gets deleted meanwhile, not the sender and definitely not
        a random argument.
        If the supposed glitches really happen, they should get fixed correctly,
        and for all cases (I doubt only desktop number would be involved but
        not e.g. shaded or minimized states).
        Related to KDE#363224

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Jun 2017 13:43:10 +0200

deepin-kwin (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6) (Closes: 846508)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Mar 2017 14:38:54 +0100

deepin-kwin (4:5.8.5-2) unstable; urgency=medium

  * Be more strict about runtime dependencies.
    Thanks to Ben Longbons for reporting (Closes: 848523)
  * Drop forced qtwayland runtime dependency.
    Thanks to Martin Graesslin for reporting (Closes: 855410)
  * Update kwin-wayland description about being a preview release.
    Thanks to Ben Longbons for reporting (Closes: 848524)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Feb 2017 10:42:33 +0100

deepin-kwin (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:18 +0100

deepin-kwin (4:5.8.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)
  * Add breeze-dev build dependency.
    Thanks to Martin Graesslin for the report (Closes: 842912)
  * Bump qt buid deps and deps to 5.7
  * kwin-x11: Add provides x-window-manager

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:53 +0100

deepin-kwin (4:5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:03 +0200

deepin-kwin (4:5.8.1-1) unstable; urgency=medium

  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:42 +0200

deepin-kwin (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update symbols files.
  * Follow upstream soversion bump
  * Update install files
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:55 +0200

deepin-kwin (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add plasma-desktop recommends.
    Thanks to HJ (Closes: 834954)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:12:30 +0200

deepin-kwin (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Jonathan Riddell ]
  * add KWinX11Platform.so to kwin-x11

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 10:22:59 +0200

deepin-kwin (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 18:14:24 +0200

deepin-kwin (4:5.6.4-3) unstable; urgency=medium

  * Add kwayland windowsystem platform plugin dependency
  * Add XInput build dependency
  * Add xwayland runtime dependency in kwin-wayland

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:27:18 +0200

deepin-kwin (4:5.6.4-2) unstable; urgency=medium

  * Update copyright information
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 10:42:19 +0200

deepin-kwin (4:5.6.4-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Update symbols files.
  * Drop missing symbol

  [ Maximiliano Curia ]
  * Revert "Add missing closes"
  * Keep unreleased with preview versions
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Follow upstream soversion bumps
  * Update symbols files
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new lintian-override about ldconfig-trigger for libkdeinit5_kwin_x11.so
  * Update testsuite

  [ Debian/Kubuntu Qt/KDE Maintainers ]
  * Drop kwinglesutils, removed upstream

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 21:45:59 +0200

deepin-kwin (4:5.5.4-2) experimental; urgency=medium

  * Rebuild due to typo in symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 10:29:43 +0100

deepin-kwin (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Update symbols files from buildds logs (4:5.4.3-1.1).
  * New upstream release (5.5.1).
  * Follow upstream soversion bump
  * Add virtual backend.
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:45 +0100

deepin-kwin (4:5.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips64 and mips64el into the arch list of libkwinglutils6.
    (Closes: #801800)

 -- YunQiang Su <syq@debian.org>  Thu, 03 Dec 2015 12:37:32 +0800

deepin-kwin (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).
  * Update symbols files from buildds logs (4:5.4.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:37 +0100

deepin-kwin (4:5.4.2-1) unstable; urgency=medium

  [ Luigi Toscano ]
  * Changes to Recommends for kwin-common:
    - add libqt5multimedia5-plugins (it enables the playback of the
      preview of KWin effects);
    - remove libqt5multimedia5 (it is dependency of the required
      qml-module-qtmultimedia package).

  [ Maximiliano Curia ]
  * New upstream release (5.4.2).
  * Update symbols files from buildds logs (4:5.4.1-1).
  * Drop upstream patch:
    upstream_fake_a_leave_event_for_the_decoration_when_client_is_left.d
    iff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:48 +0200

deepin-kwin (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).
  * New upstream patch:
    upstream_fake_a_leave_event_for_the_decoration_when_client_is_left.d
    iff

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:56 +0200

deepin-kwin (4:5.4.0-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Tighten the dependency of kde-window-manager on kwin-x11 to the version
    that provides the /usr/bin/kwin symlink.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Sep 2015 12:20:03 +0200

deepin-kwin (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 11:06:10 +0200

deepin-kwin (4:5.3.2-4) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Add debian/kwin-x11.links to add symlink for usr/bin/kiwn so that kwin
    will be properly started with KDE 4 (Plasma 1) (Closes: #793026)
  * Drop #793026 from the debian/changelog entry for the last upload, since it
    did not fix the bug

  [ Felix Geyer ]
  * Update symbols files for gcc 5.
  * Make kwin-x11 break/replace kde-window-manager (<< 4:5) because of the
    /usr/bin/kwin file conflict.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 26 Aug 2015 01:18:42 +0200

deepin-kwin (4:5.3.2-3) unstable; urgency=high

  [ Maximiliano Curia ]
  * kwin-wayland: Add qtwayland5 dependency, for the wayland qt5 plugin.

  [ Scott Kitterman ]
  * Urgency high for RC but fix in testing
  * Remove obsolete kwin alternative and add new alternative for kwin_x11 so
    kwin will work as x-window-manager (Closes: #792849, #793997)

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 29 Jul 2015 16:43:28 -0400

deepin-kwin (4:5.3.2-2) unstable; urgency=medium

  * Adds missing arches to libkwingl*utils6. (Closes: #792481) Thanks to
    Dejan Latinovic, and Scott Kitterman
  * Add a kde-window-manager transitional package.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jul 2015 18:47:45 +0200

deepin-kwin (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * Update symbols files.
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Add the missing Breaks/Replaces.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 12:20:41 +0200

deepin-kwin (4:5.3.1-0ubuntu3) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jun 2015 00:27:17 -0600

deepin-kwin (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Manual merge kubuntu_stable.

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:34:16 +0200

deepin-kwin (4:5.2.2a-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream tar.
  * Append a to version so launchpad accepts new tar.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:33:08 -0700

deepin-kwin (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * Split kwin package in common, x11 and wayland.
  * Update symbols files.
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:20 +0100

deepin-kwin (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Batchpatch symbols file.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:42:26 -0800

deepin-kwin (4:5.2.0.1-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 09:21:57 +0100

deepin-kwin (4:5.2.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Soversion bump properly
  * Rename packages for 5->6 transition in library version
  * Update install accordingly
    + Apply more restrictive wildcards to prevent sobumps slip past us
  * New lib packages break/replace the old ones <<5.2.0 because the
    pre-release packages were uploaded with libfoo.so.6 in the .so.5 packages

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:54:41 +0100

deepin-kwin (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * version kwayland build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:30:57 +0100

deepin-kwin (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:31:59 +0100

deepin-kwin (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * remove obsolete patch kubuntu_kf5-version.diff
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:22:19 +0100

deepin-kwin (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * New package libkwinglesutils5 on armhf

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:47:53 +0100

deepin-kwin (4:5.1.0.1-0ubuntu2) vivid; urgency=medium

  * Add install.armhf files for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 17:12:18 +0100

deepin-kwin (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add kubuntu_kf5-version.diff to build with KF5 5.2
  * Build-dep on libkf5windowsystem-dev (>= 5.3.0~)
  * Add build-dep on kwayland-dev

  [ Harald Sitter ]
  * Add/update lintian overrides
    + All manpage warnings: we don't care
    + All warnings to do with kdeinit: it's not a shared lib by design
    + All warnings to do with internal/private libs having no versioned soname

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:49:05 +0200

deepin-kwin (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:17:10 -0700

deepin-kwin (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:43:00 +0200

deepin-kwin (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:20:34 +0200

deepin-kwin (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Fix install file

  [ José Manuel Santamaría Lema ]
  * Build depend on libegl1-mesa-dev.
  * Make kwin depend on kwin-data (= ${source:Version}) instead of
    ${binary:Version}
  * Remove harcoded depends on libraries from kwin, rely on ${shlibs:Depends}
    instead.

  [ Scarlett Clark ]
  * change kwin-data to arch all

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:41 +0100
